/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Route Of Administration
 */
public enum EnumCM_RouteOfAdministration {

	//CID 11 Route Of Administration
	INTRAVENOUS_ROUTE("Intravenous route"),
	INTRA_ARTERIAL_ROUTE("Intra-arterial route"),
	INTRAMUSCULAR_ROUTE("Intramuscular route"),
	SUBCUTANEOUS_ROUTE("Subcutaneous route"),
	INTRACUTANEOUS_ROUTE("Intracutaneous route"),
	INTRAPERITONEAL_ROUTE("Intraperitoneal route"),
	INTRAMEDULLARY_ROUTE("Intramedullary route"),
	INTRATHECAL_ROUTE("Intrathecal route"),
	INTRA_ARTICULAR_ROUTE("Intra-articular route"),
	INTRAEPITHELIAL_ROUTE("Intraepithelial route"),
	TOPICAL_ROUTE("Topical route"),
	ORAL_ROUTE("Oral route"),
	TRANSLUMINAL_ROUTE("Transluminal route"),
	INTRALUMINAL_ROUTE("Intraluminal route"),
	EXTRALUMINAL_ROUTE("Extraluminal route"),
	BY_INHALATION("By inhalation"),
	PER_RECTUM("Per rectum"),
	VAGINAL_ROUTE("Vaginal route"),
	INTRACORONARY_ROUTE("Intracoronary route"),
	INTRACARDIAC_ROUTE("Intracardiac route"),
	INTRAVENTRICULAR_ROUTE_CARDIAC("Intraventricular route - cardiac");
	
	private String value;
	
	EnumCM_RouteOfAdministration(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
